{
    "name": "正則表示式過濾器",
    "category": "modularrouters:filters",
    "icon": "modularrouters:regex_filter",
    "pages": [
        {
            "type": "text",
            "text": "該過濾器允許透過正則表示式，匹配方塊和物品的$(strong)註冊名稱/$。正則表示式非常強大，但需要一些學習才能充分發揮其潛力。然而，基本的正則表示式用法並不太困難。有許多網站提供關於正則表示式的教程資訊，例如$(l:https://regexone.com/)RegexOne/$。"
        },
        {
            "type": "text",
            "title": "註冊名稱",
            "text": "因為物品過濾是純粹在伺服器上進行的，所以無法確定物品的顯示文字。因此，所有過濾匹配都是針對物品的內部$(thing)註冊名稱/$進行的。您可以透過使用$(thing)F3+H/$切換高階工具提示顯示來查詢此註冊名稱。$(p)請注意，匹配僅針對註冊名稱中$(italic)冒號後/$的部分。"
        },
        {
            "type": "text",
            "text": "$(thing)要開啟模組GUI，$(thing)請右鍵點選/$過濾器，或在已安裝模組中的過濾器上$(thing)中鍵點選/$/按下$(bold)$(4)[$(k:modularrouters.configure)]/$。$(li)在頂部的文字框中輸入正則表示式，然後按下$(thing)回車/$或單擊綠色的$(bold)$(2)+/$按鈕。如果語法有效，則將正則表示式新增到列表中。一個過濾器中最多可以有6個條目。$(li)單擊任何正則表示式旁邊的紅色$(bold)$(4)X/$以將其從列表中移除。$(li)匹配不區分大小寫。"
        },
        {
            "type": "text",
            "title": "例1",
            "text": "正則表示式'ore'將匹配任何含有'ore'的物品註冊名稱（“iron_ore"
        },
        {
            "type": "text",
            "title": "例2",
            "text": "配置$(l:modules/player)玩家模組/$以從玩家的主要庫存中提取，並將包含$(1)_ore/$的正則表示式過濾器放在該模組中。這可用於從您的庫存中提取任何礦石，無論您身在何處，都可以將其傳送到您的礦石處理系統中。如果您在遠離基地挖掘，並希望立即將挖掘的礦石傳送回家中，這將非常有用。"
        },
        {
            "type": "crafting",
            "recipe": "modularrouters:regex_filter"
        }
    ]
}